Subject: Re: sky2 hang still exists in 2.6.19-rc6 --Bug#396185?

From: Stephen Hemminger <[email-masked]>
Date: Tue, 28 Nov 2006 23:03:52 -0800

Berck E. Nash wrote:
> I've been having problems with the sky2 ethernet driver from the very
> beginning.  I have read the following:
>
> http://marc.theaimsgroup.com/?l=linux-netdev&m=116384918914761&w=2
>
> And the bug described still exists for me.  I'm running 2.6.19-rc6-mm1.
>
That motherboard has dual lan, are you using both of them?
I don't have that chip version, so hard to tell if it is using dual port 
with a single chip
or not.  There is a hack for the dual port PCI-X version already in the 
driver,
that turns off receive checksums if both ports are in use. Please try 
turning off
receive checksums with ethtool and see if that helps.